vty-5.25.1: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Debug

# Documentation

data MockWindow Source #

Constructors

MockWindow Int Int |

Instances

Eq MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods (==) :: MockWindow -> MockWindow -> Bool Source # (/=) :: MockWindow -> MockWindow -> Bool Source #
Show MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods showsPrec :: Int -> MockWindow -> ShowS Source # show :: MockWindow -> String Source # showList :: [MockWindow] -> ShowS Source #

data SpanConstructEvent Source #

Constructors

SpanSetAttr Attr |

type SpanConstructLog = [SpanConstructEvent] Source #

rowOpsEffectedColumns :: DisplayOps -> [Int] Source #

allSpansHaveWidth :: DisplayOps -> Int -> Bool Source #

spanOpsEffectedRows :: DisplayOps -> Int Source #

isSetAttr :: Attr -> SpanConstructEvent -> Bool Source #

regionForWindow :: MockWindow -> DisplayRegion Source #

type ImageConstructLog = [ImageConstructEvent] Source #

data ImageConstructEvent Source #

Constructors

ImageConstructEvent |

Instances

Eq ImageConstructEvent Source # |
Instance details Defined in Graphics.Vty.Debug.Image Methods (==) :: ImageConstructEvent -> ImageConstructEvent -> Bool Source # (/=) :: ImageConstructEvent -> ImageConstructEvent -> Bool Source #
Show ImageConstructEvent Source # |
Instance details Defined in Graphics.Vty.Debug.Image Methods showsPrec :: Int -> ImageConstructEvent -> ShowS Source # show :: ImageConstructEvent -> String Source # showList :: [ImageConstructEvent] -> ShowS Source #

forwardImageOps :: [Image -> Image] Source #

forwardTransform :: ImageOp -> Image -> Image Source #

reverseTransform :: ImageOp -> Image -> Image Source #

data ImageOp Source #

Constructors

ImageOp ImageEndo ImageEndo |

type ImageEndo = Image -> Image Source #

debugImageOps :: [ImageOp] Source #

idImageOp :: ImageOp Source #